Issue2714

classification
Title: Locale and java version failures in test_os_jy
Type: Severity: normal
Components: Library Versions: Jython 2.7
Milestone:
process
Status: pending Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: adamburke, jeff.allen
Priority: normal Keywords:

Created on 2018-11-03.05:08:24 by adamburke, last changed 2018-12-20.22:36:06 by jeff.allen.

Messages
msg12166 (view) Author: Adam Burke (adamburke) Date: 2018-11-03.05:08:23
test_os_jy has some Turkish and Japanese failures on my windows and cygwin environment.

Platform:
    'Java-10.0.2-Java_HotSpot-TM-_64-Bit_Server_VM,_10.0.2+13,_-Oracle_Corporation-on-Windows_10-10.0-amd64'

======================================================================
ERROR: test_turkish_locale_posix_module (test.test_os_jy.LocaleTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\Adam\jython\jython2\dist\Lib\test\test_os_jy.py", line 353, in test_turkish_locale_posix_module
    self.assertEqual(
  File "C:\Users\Adam\jython\jython2\dist\Lib\subprocess.py", line 586, in check_output
    raise CalledProcessError(retcode, cmd, output=output)
CalledProcessError: Command '['C:\\Users\\Adam\\jython\\jython2\\dist\\bin\\jython.exe', '-c', "import sys; assert 'posix' in sys.builtin_module_names"]' returned non-zero exit status 1

======================================================================
FAIL: test_strftime_japanese_locale (test.test_os_jy.LocaleTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\Adam\jython\jython2\dist\Lib\test\test_os_jy.py", line 399, in test_strftime_japanese_locale
    self.assertEqual(
AssertionError: "'\\xe6\\x97\\xa5 3\\xe6\\x9c\\x88 29 14:55:13 2015'\r\n" != "'\\xe6\\x97\\xa5 3 29 14:55:13 2015'\n"

======================================================================
FAIL: test_strptime_locale (test.test_os_jy.LocaleTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\Adam\jython\jython2\dist\Lib\test\test_os_jy.py", line 387, in test_strptime_locale
    self.assertEqual(
AssertionError: '2015-01-22 00:00:00\r\n' != '2015-01-22 00:00:00\n'

======================================================================
FAIL: test_turkish_locale_string_lower_upper (test.test_os_jy.LocaleTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\Users\Adam\jython\jython2\dist\Lib\test\test_os_jy.py", line 365, in test_turkish_locale_string_lower_upper
    self.assertIn(
AssertionError: "['i', u'i', 'I', u'I']\r\n" not found in ["['i', u'\\u0131', 'I', u'\\u0130']\n", "['i', u'i', 'I', u'I']\n"]

----------------------------------------------------------------------
Ran 27 tests in 23.689s

Some of these are failures only on cygwin, some on Java 8, some on Java 10. The Java 10 failures are due to Japanese local changes.

I have a patch locally, which I will share as a PR.
msg12170 (view) Author: Adam Burke (adamburke) Date: 2018-11-04.11:34:50
PR https://github.com/jythontools/jython/pull/125
msg12215 (view) Author: Jeff Allen (jeff.allen) Date: 2018-12-20.22:36:06
Now at https://hg.python.org/jython/rev/359e573ade00 . It does in fact get us one step closer to a passing bot for Java 10.

Thanks Adam!
History
Date User Action Args
2018-12-20 22:36:06jeff.allensetpriority: normal
status: open -> pending
resolution: fixed
messages: + msg12215
nosy: + jeff.allen
2018-11-04 11:34:51adamburkesetmessages: + msg12170
2018-11-03 05:08:24adamburkecreate